
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 邮寄材料
 */

import { request } from '../index'

// 获取物流公司列表
const express = () => {
	return request({
		url		: 'express',
	})
}

// 获取订单邮寄地址
const orderAddress = id => {
	return request({
		url		: 'business/' + id + '/address'
	})
}

// 提交邮寄物品
const submitExpresses = (id, data) => {
	return request({
		url		: 'business/' + id + '/expresses',
		method	: 'POST',
		data
	})
}

// 获取订单邮寄列表
const getExpresses = id => {
	return request({
		url		: 'business/' + id + '/expresses'
	})
}

// 查看物流
const getLogistic = id => {
	return request({
		url		: 'business/' + id + '/logistic'
	})
}

export {
	express,
	orderAddress,
	submitExpresses,
	getExpresses,
	getLogistic
}